Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.shared
Class Main

    java.lang.Object
      org.fourthline.cling.support.shared.Main

All Implemented Interfaces:
  Thread.UncaughtExceptionHandler, ShutdownHandler

    public abstract class Main

extends Object
implements ShutdownHandler, Thread.UncaughtExceptionHandler

Author:
  Christian Bauer

Field Summary
`protected JFrame` | `errorWindow`
`protected boolean` | `isRegularShutdown`
`protected org.seamless.swing.logging.LoggingHandler` | `loggingHandler`

Constructor Summary
`Main()`

Method Summary
`protected abstract String` | `getAppName()`
`void` | `init()`
`protected void` | `removeLoggingHandler()`
`void` | `shutdown()`
`void` | `uncaughtException(Thread thread, Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorWindow

    protected final JFrame errorWindow

### loggingHandler

    protected final org.seamless.swing.logging.LoggingHandler loggingHandler

### isRegularShutdown

    protected boolean isRegularShutdown

Constructor Detail

### Main

    public Main()

Method Detail

### init

    public void init()

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `ShutdownHandler`

### uncaughtException

    public void uncaughtException(Thread thread,
                                  Throwable throwable)

  Specified by:
    `uncaughtException` in interface `Thread.UncaughtExceptionHandler`

### removeLoggingHandler

    protected void removeLoggingHandler()

### getAppName

    protected abstract String getAppName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.